<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcLight Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcLight Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcLight" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class holding the representation of a light.  
 <a href="structiPcLight.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="light_8h_source.html">propclass/light.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcLight:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcLight.png" usemap="#iPcLight_map" alt=""/>
  <map id="iPcLight_map" name="iPcLight_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,57,24"/>
</map>
 </div></div>

<p><a href="structiPcLight-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcLight.html#a33f7e705cbdbf78a90fb4fd7a8e390a2">CreateLight</a> (const char *lightname, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos, float radius, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;color)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a light with a given name.  <a href="#a33f7e705cbdbf78a90fb4fd7a8e390a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcLight.html#a29882b35273cb77306ba2c9669965ef8">GetLight</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the light.  <a href="#a29882b35273cb77306ba2c9669965ef8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcLight.html#afedfa5085eeb119870948b5218b95456">SetLight</a> (const char *lightname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the light by name.  <a href="#afedfa5085eeb119870948b5218b95456"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcLight.html#a4e6a12fe8903e775476c83da1a8c511e">SetLight</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a> *light)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the light directly.  <a href="#a4e6a12fe8903e775476c83da1a8c511e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class holding the representation of a light. </p>
<p>This property class supports the following actions (add prefix 'cel.light.action.' if you want to access this action through a message):</p>
<ul>
<li>SetLight: parameters 'name' (string). This sets an already existing light for this pclight.</li>
<li>CreateLight: parameters 'name' (string), 'sector' (string: optional), 'pos' (vector3), 'radius' (float), and 'color' (color). Creates a light for this pclight.</li>
<li>ChangeColor: parameters 'color' (color). Change color of the light.</li>
<li>MoveLight: parameters 'pos' (vector3), 'sector' (string: optional). Move a light.</li>
<li>ParentMesh: parameters 'entity' (string) and 'tag' (string). Parent this light to some parent. The parent should be given as an entity with the optional tag specifying which pcmesh to use. If entity is not given then the current entity will be used.</li>
<li>ClearParent: no parameters. Remove this light from its parent. </li>
</ul>

<p>Definition at line <a class="el" href="light_8h_source.html#l00050">50</a> of file <a class="el" href="light_8h_source.html">light.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a33f7e705cbdbf78a90fb4fd7a8e390a2"></a><!-- doxytag: member="iPcLight::CreateLight" ref="a33f7e705cbdbf78a90fb4fd7a8e390a2" args="(const char *lightname, iSector *sector, const csVector3 &amp;pos, float radius, const csColor &amp;color)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a>* <a class="el" href="structiPcLight.html#a33f7e705cbdbf78a90fb4fd7a8e390a2">iPcLight::CreateLight</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>lightname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a light with a given name. </p>
<p>Sector can be 0. </p>

</div>
</div>
<a class="anchor" id="a29882b35273cb77306ba2c9669965ef8"></a><!-- doxytag: member="iPcLight::GetLight" ref="a29882b35273cb77306ba2c9669965ef8" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a>* <a class="el" href="structiPcLight.html#a29882b35273cb77306ba2c9669965ef8">iPcLight::GetLight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the light. </p>

</div>
</div>
<a class="anchor" id="afedfa5085eeb119870948b5218b95456"></a><!-- doxytag: member="iPcLight::SetLight" ref="afedfa5085eeb119870948b5218b95456" args="(const char *lightname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcLight.html#afedfa5085eeb119870948b5218b95456">iPcLight::SetLight</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>lightname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the light by name. </p>
<p>Returns false if the light cannot be found. </p>

</div>
</div>
<a class="anchor" id="a4e6a12fe8903e775476c83da1a8c511e"></a><!-- doxytag: member="iPcLight::SetLight" ref="a4e6a12fe8903e775476c83da1a8c511e" args="(iLight *light)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcLight.html#afedfa5085eeb119870948b5218b95456">iPcLight::SetLight</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiLight.html">iLight</a> *&#160;</td>
          <td class="paramname"><em>light</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the light directly. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="light_8h_source.html">light.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
